# Class GetMyOfferReply

#### Hierarchy

- unknown
  - GetMyOfferReply

- Defined in src/protobuf/grpc_pb.d.ts:1402
- Defined in src/protobuf/grpc_pb.d.ts:1416

#####
Index

### Constructors

constructor

### Methods

clearOffer
getOffer
hasOffer
serializeBinary
setOffer
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetMyOfferReply(): GetMyOfferReply

- #### Returns GetMyOfferReply

  Inherited from jspb.Message.constructor

## Methods

### clearOffer

- clearOffer(): GetMyOfferReply

- #### Returns GetMyOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:1406

### getOffer

- getOffer(): undefined | OfferInfo

- #### Returns undefined | OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1403

### hasOffer

- hasOffer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1405

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1408

### setOffer

- setOffer(value?: OfferInfo): GetMyOfferReply

- #### Parameters

  - ##### `Optional` value: OfferInfo

  #### Returns GetMyOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:1404

### toObject

- toObject(includeInstance?: boolean): GetMyOfferReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetMyOfferReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1409

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetMyOfferReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetMyOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:1412

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetMyOfferReply, reader: BinaryReader): GetMyOfferReply

- #### Parameters

  - ##### message: GetMyOfferReply

  - ##### reader: BinaryReader

  #### Returns GetMyOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:1413

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetMyOfferReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetMyOfferReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1411

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetMyOfferReply): GetMyOfferReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetMyOfferReply

  #### Returns GetMyOfferReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1410

Generated using TypeDoc